﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class BallController : MonoBehaviour {

	public float speed;
	public Text ScoreText;

	private Rigidbody rb;
	private int score;
	private bool barcollide;

	// Use this for initialization
	void Start () 
	{
		barcollide = false;
		rb = GetComponent<Rigidbody>();
		score = 0;
		print_score();
	}
	
	// Update is called once per frame
	void Update () 
	{
		
		if (Input.GetButtonUp ("Fire1") & (barcollide==true)) 
		{
			score = score+3;
			//print_score();
			Vector3 movement = new Vector3(0.0f, 0.0f, 1000.0f);
			//rb.AddForce(movement*speed);
			rb.AddForce(movement);
		}
		else if (!(Input.GetButtonUp ("Fire1")) & (barcollide==true)) 
		{
			BarController bar_script;

			GameObject bar = GameObject.FindWithTag("Bar");

			if(bar != null)
			{
				bar_script = bar.GetComponent<BarController>();
				GetComponent<Rigidbody> ().position = new Vector3 (bar_script.rb.position.x, rb.position.y, rb.position.z);
				//Vector3.zero;
				//(1.3f, 1.2f, 1.4f);
				//rb.position.Set(Vector3.zero);
				//(bar_script.rb.position.x, rb.position.y, rb.position.z);
				score = (int)bar_script.rb.position.x;
			}
		}
	}

	private void FixedUpdate()
	{
		float MoveVertical = Input.GetAxis ("Vertical");

		Vector3 movement = new Vector3(0.0f, 0.0f, MoveVertical);

		rb.AddForce(movement*speed);

		print_score();
	}

	void OnTriggerEnter(Collider other)
	{
		if (other.gameObject.CompareTag("GreenBrick"))
		{
			score = score + 1;
			other.gameObject.SetActive (false);
		}
		if (other.gameObject.CompareTag("YellowBrick"))
		{
			score = score + 5;
			other.gameObject.SetActive (false);
		}
		if (other.gameObject.CompareTag("RedBrick"))
		{
			score = score + 10;
			other.gameObject.SetActive (false);
		}
		if (other.gameObject.CompareTag("Bar"))
		{
			barcollide = true;
			rb.velocity = Vector3.zero;
			rb.angularVelocity = Vector3.zero;
			rb.Sleep();
		}
		print_score();
	}

	void print_score()
	{
		ScoreText.text = "Score: " + score.ToString();
	}
}
